import { Ref } from 'vue';

export declare function useGlobalSelect(editorId: any): import('vue').ComputedRef<any>;
type SelectParams = {
    nodes: Ref<any[]>;
    activated: Ref<boolean>;
    editorId: string;
    id: string;
    color: Ref<string>;
    isOccupy: Ref<boolean>;
};
export declare function useRegisterSelect(params: SelectParams): void;
export {};
